/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class VpnManager {

VpnManager() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.Intent provisionVpnProfile(@android.annotation.NonNull android.net.PlatformVpnProfile profile) { throw new RuntimeException("Stub!"); }

public void deleteProvisionedVpnProfile() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String startProvisionedVpnProfileSession() { throw new RuntimeException("Stub!"); }

@Deprecated
public void startProvisionedVpnProfile() { throw new RuntimeException("Stub!"); }

public void stopProvisionedVpnProfile() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.VpnProfileState getProvisionedVpnProfileState() { throw new RuntimeException("Stub!"); }

@android.annotation.SdkConstant(android.annotation.SdkConstant.SdkConstantType.SERVICE_ACTION) public static final java.lang.String ACTION_VPN_MANAGER_EVENT = "android.net.action.VPN_MANAGER_EVENT";

@android.annotation.SdkConstant(android.annotation.SdkConstant.SdkConstantType.INTENT_CATEGORY) public static final java.lang.String CATEGORY_EVENT_ALWAYS_ON_STATE_CHANGED = "android.net.category.EVENT_ALWAYS_ON_STATE_CHANGED";

@android.annotation.SdkConstant(android.annotation.SdkConstant.SdkConstantType.INTENT_CATEGORY) public static final java.lang.String CATEGORY_EVENT_DEACTIVATED_BY_USER = "android.net.category.EVENT_DEACTIVATED_BY_USER";

@android.annotation.SdkConstant(android.annotation.SdkConstant.SdkConstantType.INTENT_CATEGORY) public static final java.lang.String CATEGORY_EVENT_IKE_ERROR = "android.net.category.EVENT_IKE_ERROR";

@android.annotation.SdkConstant(android.annotation.SdkConstant.SdkConstantType.INTENT_CATEGORY) public static final java.lang.String CATEGORY_EVENT_NETWORK_ERROR = "android.net.category.EVENT_NETWORK_ERROR";

public static final int ERROR_CLASS_NOT_RECOVERABLE = 1; // 0x1

public static final int ERROR_CLASS_RECOVERABLE = 2; // 0x2

public static final int ERROR_CODE_NETWORK_IO = 3; // 0x3

public static final int ERROR_CODE_NETWORK_LOST = 2; // 0x2

public static final int ERROR_CODE_NETWORK_PROTOCOL_TIMEOUT = 1; // 0x1

public static final int ERROR_CODE_NETWORK_UNKNOWN_HOST = 0; // 0x0

public static final java.lang.String EXTRA_ERROR_CLASS = "android.net.extra.ERROR_CLASS";

public static final java.lang.String EXTRA_ERROR_CODE = "android.net.extra.ERROR_CODE";

public static final java.lang.String EXTRA_SESSION_KEY = "android.net.extra.SESSION_KEY";

public static final java.lang.String EXTRA_TIMESTAMP_MILLIS = "android.net.extra.TIMESTAMP_MILLIS";

public static final java.lang.String EXTRA_UNDERLYING_LINK_PROPERTIES = "android.net.extra.UNDERLYING_LINK_PROPERTIES";

public static final java.lang.String EXTRA_UNDERLYING_NETWORK = "android.net.extra.UNDERLYING_NETWORK";

public static final java.lang.String EXTRA_UNDERLYING_NETWORK_CAPABILITIES = "android.net.extra.UNDERLYING_NETWORK_CAPABILITIES";

public static final java.lang.String EXTRA_VPN_PROFILE_STATE = "android.net.extra.VPN_PROFILE_STATE";
}

